aboutsummaryrefslogtreecommitdiff
path: root/rofi/firefoxhistory.sh
diff options
context:
space:
mode:
authorSébastien Dailly <sebastien@chimrod.com>2017-02-25 17:16:58 +0100
committerSébastien Dailly <sebastien@chimrod.com>2017-02-25 17:16:58 +0100
commit0c371663f5bb5ea6f3e12318e9321bb0815e24a5 (patch)
treeb3ee3e4f743a0543985ba329455449f8a602f76c /rofi/firefoxhistory.sh
First commit
Diffstat (limited to 'rofi/firefoxhistory.sh')
-rwxr-xr-xrofi/firefoxhistory.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/rofi/firefoxhistory.sh b/rofi/firefoxhistory.sh
new file mode 100755
index 0000000..6836fd2
--- /dev/null
+++ b/rofi/firefoxhistory.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ -z $1 ]; then
+ sqlite3 ~/.mozilla/firefox/3n77lp68.default/places.sqlite 'SELECT url from moz_places order by frecency desc' | grep -vE "google.com/search|google.com/url|duckduckgo"
+ exit 0
+else
+ i3-msg "exec firejail firefox --new-tab \"$*\"" > /dev/null
+ exit 1
+fi